function X = Im2struct(x)
% X = Struct2im(x)
% 
% Struct2im converts an image which is given as a [M N K] image to a struct.
% 
% See also: Struct2im, Struct2vec, Vec2struct
%
% 2013-07-25 --------------------------------------------------------------
% 
% Matthias J. Ehrhardt
% CMIC, University College London, UK
% 
% matthias.ehrhardt.11@ucl.ac.uk
% 
% -------------------------------------------------------------------------

    K = size(x,3);
    X = cell(K, 1);
    
    for k = 1 : K
        X{k} = x(:,:,k);
    end
end

